#!/usr/bin/env bash

# 英和辞書とヨミ辞書を結合する

lrdict="data/lrdict0.txt"
yomi="data/yomi.txt"

{
cat <<"HEADER"
# ラリホー問題集 ver.2 SD
# vim: noexpandtab ff=unix sw=4 ts=4 fileencoding=utf-8
# 正解	カタカナ読み	意味、解説など
HEADER

join -t $'\t' -1 1 -2 1 -o 1.1,2.2,1.2 <(sort "$lrdict") <(sort "$yomi")
} # > lrdict.txt
